curl --request GET \
--url https://int-api.mx.com/users/{user_identifier}/members/{member_identifier}/credentials \
--header 'Accept-Version: <accept-version>' \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://int-api.mx.com/users/{user_identifier}/members/{member_identifier}/credentials"
headers = {
"Accept-Version": "<accept-version>",
"Authorization": "Basic <encoded-value>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Accept-Version': '<accept-version>', Authorization: 'Basic <encoded-value>'}
};
fetch('https://int-api.mx.com/users/{user_identifier}/members/{member_identifier}/credentials', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://int-api.mx.com/users/{user_identifier}/members/{member_identifier}/credentials",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Accept-Version: <accept-version>",
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://int-api.mx.com/users/{user_identifier}/members/{member_identifier}/credentials"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Accept-Version", "<accept-version>")
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://int-api.mx.com/users/{user_identifier}/members/{member_identifier}/credentials")
.header("Accept-Version", "<accept-version>")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("https://int-api.mx.com/users/{user_identifier}/members/{member_identifier}/credentials")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Accept-Version"] = '<accept-version>'
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body{
"credentials": [
{
"answer_field_type": "<string>",
"created_at": "<string>",
"display_name": "<string>",
"display_order": 1,
"editable": true,
"escaped": true,
"field_name": "LOGIN",
"field_type": "TEXT",
"guid": "CRD-1ec152cd-e628-e81a-e852-d1e7104624da",
"institution_guid": "<string>",
"label": "Username",
"max_length": 123,
"meta_data": "<string>",
"mfa": true,
"optional": true,
"optional_mfa": true,
"size": 123,
"type": "TEXT",
"updated_at": "<string>",
"value_identifier": "<string>",
"value_mask": "<string>"
}
],
"pagination": {
"current_page": 1,
"per_page": 25,
"total_entries": 1,
"total_pages": 1
}
}List member credentials
This endpoint returns an array which contains information on every non-MFA credential associated with a specific member.
curl --request GET \
--url https://int-api.mx.com/users/{user_identifier}/members/{member_identifier}/credentials \
--header 'Accept-Version: <accept-version>' \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://int-api.mx.com/users/{user_identifier}/members/{member_identifier}/credentials"
headers = {
"Accept-Version": "<accept-version>",
"Authorization": "Basic <encoded-value>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Accept-Version': '<accept-version>', Authorization: 'Basic <encoded-value>'}
};
fetch('https://int-api.mx.com/users/{user_identifier}/members/{member_identifier}/credentials', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://int-api.mx.com/users/{user_identifier}/members/{member_identifier}/credentials",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Accept-Version: <accept-version>",
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://int-api.mx.com/users/{user_identifier}/members/{member_identifier}/credentials"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Accept-Version", "<accept-version>")
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://int-api.mx.com/users/{user_identifier}/members/{member_identifier}/credentials")
.header("Accept-Version", "<accept-version>")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("https://int-api.mx.com/users/{user_identifier}/members/{member_identifier}/credentials")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Accept-Version"] = '<accept-version>'
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body{
"credentials": [
{
"answer_field_type": "<string>",
"created_at": "<string>",
"display_name": "<string>",
"display_order": 1,
"editable": true,
"escaped": true,
"field_name": "LOGIN",
"field_type": "TEXT",
"guid": "CRD-1ec152cd-e628-e81a-e852-d1e7104624da",
"institution_guid": "<string>",
"label": "Username",
"max_length": 123,
"meta_data": "<string>",
"mfa": true,
"optional": true,
"optional_mfa": true,
"size": 123,
"type": "TEXT",
"updated_at": "<string>",
"value_identifier": "<string>",
"value_mask": "<string>"
}
],
"pagination": {
"current_page": 1,
"per_page": 25,
"total_entries": 1,
"total_pages": 1
}
}Authorizations
To authenticate with the Platform API, include your Base64-encoded client_id and api_key in the Authorization header of every request:
-H 'Authorization: Basic BASE_64_ENCODING_OF{client_id:api_key}'
Headers
MX Platform API version.
"v20260929"
Path Parameters
Use either the member id you defined or the MX-defined member guid. See Assigning Resource IDs.
Use either the user id you defined or the MX-defined user guid. See Assigning Resource IDs.
Query Parameters
Results are paginated. Specify current page.
This specifies the number of records to be returned on each page. Defaults to 25. The valid range is from 10 to 1000. If the value exceeds 1000, the default value of 25 will be used instead.
Response
OK
Hide child attributes
Hide child attributes
The answer field type of the credential.
The date and time the credential was created, represented in ISO 8601 format with a timestamp.
The display name of the credential.
1
Indicates whether the credential is editable.
Indicates whether the credential value is escaped.
"LOGIN"
"TEXT"
"CRD-1ec152cd-e628-e81a-e852-d1e7104624da"
The unique identifier for the institution the credential belongs to. Defined by MX.
"Username"
The maximum length of the credential value.
Additional metadata for the credential.
Indicates whether the credential is used for multi-factor authentication.
Indicates whether the credential is optional.
Indicates whether the credential is an optional multi-factor authentication credential.
The display size of the credential field.
"TEXT"
The date and time the credential was last updated, represented in ISO 8601 format with a timestamp.
The identifier of the credential value.
The mask applied to the credential value.

